/*
 * JPA entity PK template
 */

package de.ivu.elect.business.email.entity;

@javax.enterprise.inject.Vetoed
public class EmailPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<EmailPK> {

  private static final long serialVersionUID = 0L;

  public EmailPK() {
    super();
  }

  public EmailPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "EmailPK:"+getId();
  }

  @Override
  public int compareTo(EmailPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
